using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Web.UI;
using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Web.UI.WebControls.Tools;

public partial class testGrid : System.Web.UI.Page
{
    private static string gStr;
    private static string sUser;
    private static int nStartRow;
    private static int nMaxRows;

    protected void Page_Init(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            gStr = Request.Params["gStr"];
            sUser = Request.Params["sUser"];
            nStartRow = Convert.ToInt32(Request.Params["nStartRow"]);
            nMaxRows = Convert.ToInt32(Request.Params["nMaxRows"]);

            //assign a PrimaryKeyColumn
            GridTableDescriptor mainTD = this.GridGroupingControl1.TableDescriptor;
            mainTD.PrimaryKeyColumns.Add("RowID");
            this.GridGroupingControl1.DataMember = "defaultView";
            this.GridGroupingControl1.DataBind();
        }

    }

    protected void Page_Load(object sender, EventArgs e)
    {
  
    }
    protected void ObjectDataSource1_Selecting(object sender, ObjectDataSourceSelectingEventArgs e)
    {
        e.InputParameters["gStr"] = gStr;
        e.InputParameters["sUser"] = sUser;
        e.InputParameters["startRowIndex"] = nStartRow;
        e.InputParameters["maximumRows"] = nMaxRows;
    }
}
